Subject: Re: [PATCH 200/493] irda: remove use of __devinit

From: Stephen Hemminger <[email-masked]>
Date: Mon, 19 Nov 2012 12:25:32 -0800

On Mon, 19 Nov 2012 11:21:21 -0800
Greg KH <[email-masked]> wrote:

> On Mon, Nov 19, 2012 at 02:06:54PM -0500, David Miller wrote:
> > 
> > It is absolutely not reasonable to post nearly 500 patches all
> > at the same time.
> > 
> > Do not do this ever again.
> 
> Bill did this with the assumption that I would take them through my
> driver-core tree, as I asked that he do this work.  The 000 message said
> that, but that wasn't sent out to all of the recipients, so I can
> understand how you didn't see this.
> 
> Also, I was the only one that got all 500 emails, everyone else should
> have only seen a small quantity.
> 
> As you object to these, that's fine, I'll not apply anything to my
> treethat touches the drivers/net/ or net/ tree at this point in time, is
> that ok?
> 
> But the end goal is to drop CONFIG_HOTPLUG entirely, and these __dev*
> markings, as they don't do anything anymore.
> 
> thanks,
> 
> greg k-h
> --
> To unsubscribe from this list: send the line "unsubscribe netdev" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html

This seems like a case where a pull-request should have been used,
rather spamming everyone and every mailing list.